import 'package:cashier_reserve/common/base/ui.dart';
import 'package:cashier_reserve/common/base/ui_model.dart';
import 'package:cashier_reserve/home/order_view_model.dart';

import '../common/base/provider.dart';

class OrderView extends BaseUI {
  @override
  Widget buildBody(BuildContext context) {
    return Container(
      child: Center(
        child: Text("Order"),
      ),
    );
  }

  @override
  BaseUIModel getProvider(BuildContext context, {bool listen = true}) {
    return MyProvider.of<OrderViewModel>(context, listen: listen);
  }

  @override
  String? getTitleStr(BuildContext context) {
    return "";
  }

  @override
  AppBar? getAppBar(BuildContext context) {
    return null;
  }
}